Subject: Re: bug#15911: 24.3.50; [PATCH] eww: can not handle hostname "localhost"

From: Ted Zlatanov <[email-masked]>
Date: Thu, 21 Nov 2013 11:43:11 -0500

On Sat, 16 Nov 2013 21:56:52 +0900 Kenjiro NAKAYAMA <[email-masked]> wrote: 

KN> With M-x eww RET and "localhost" RET, eww searches "localhost" via
KN> ddg ("https://duckduckgo.com/html/?q=localhost"), so it does not
KN> handle "localhost" as "http://localhost/".  This patch is not only
KN> to solve it but also becoming possible to open the non-extension
KN> files by eww-open-file.  (Current eww-open-file can browse
KN> "exampleFile.html" but can't browse non-extension files like
KN> "exampleFile".)  I know I should send sepalately, but the former
KN> problem should modify with the latter one at the same time since it
KN> is using same logic.

KN> Signed-off-by: Kenjiro Nakayama <[email-masked]>

Installed as "tiny change" with a small modification.

Thanks
Ted